/*

  Reed Switch Module LM393 (Analog)

  Parts required:
  - Arduino Board
  - Reed Switch Module LM393
  - LED (Any Color)
  - 220 Ohm Resistor
  - Magnet

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int analogReadPin = A0;
int analogReadValue;
int ledPin = 8;

void setup() {
  pinMode (analogReadPin, INPUT);               // Set analogReadPin as INPUT
  pinMode (ledPin, OUTPUT);                     // Set ledPin as OUTPUT
}

void loop() {

  analogReadValue = analogRead(analogReadPin);  // Read value from analogReadPin and store in analogReadValue

  if (analogReadValue <= 500) {                 // If analogReadValue <= 500 Do
    digitalWrite(ledPin, HIGH);
  }
  else {
    digitalWrite(ledPin, LOW);
  }
}
